﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/ff3792e53c62/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2022.3.10f1.exe'
$checksum64     = '4a1d676ac71779dac37656fa56c8ce3c7bccf3c98c417baeacc76a818be53216'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
